Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
K
k3s
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Jacklull
k3s
Commits
142e458a
Commit
142e458a
authored
Apr 16, 2019
by
SataQiu
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
fix shellcheck failures of hack/update-openapi-spec.sh
parent
c09cfb71
Hide whitespace changes
Inline
Side-by-side
Showing
2 changed files
with
5 additions
and
6 deletions
+5
-6
.shellcheck_failures
hack/.shellcheck_failures
+0
-1
update-openapi-spec.sh
hack/update-openapi-spec.sh
+5
-5
No files found.
hack/.shellcheck_failures
View file @
142e458a
...
@@ -45,7 +45,6 @@
...
@@ -45,7 +45,6 @@
./hack/update-generated-kms-dockerized.sh
./hack/update-generated-kms-dockerized.sh
./hack/update-generated-protobuf-dockerized.sh
./hack/update-generated-protobuf-dockerized.sh
./hack/update-generated-runtime-dockerized.sh
./hack/update-generated-runtime-dockerized.sh
./hack/update-openapi-spec.sh
./hack/update-vendor.sh
./hack/update-vendor.sh
./hack/verify-api-groups.sh
./hack/verify-api-groups.sh
./hack/verify-boilerplate.sh
./hack/verify-boilerplate.sh
...
...
hack/update-openapi-spec.sh
View file @
142e458a
...
@@ -21,7 +21,7 @@ set -o errexit
...
@@ -21,7 +21,7 @@ set -o errexit
set
-o
nounset
set
-o
nounset
set
-o
pipefail
set
-o
pipefail
KUBE_ROOT
=
$(
dirname
"
${
BASH_SOURCE
}
"
)
/..
KUBE_ROOT
=
$(
dirname
"
${
BASH_SOURCE
[0]
}
"
)
/..
OPENAPI_ROOT_DIR
=
"
${
KUBE_ROOT
}
/api/openapi-spec"
OPENAPI_ROOT_DIR
=
"
${
KUBE_ROOT
}
/api/openapi-spec"
source
"
${
KUBE_ROOT
}
/hack/lib/init.sh"
source
"
${
KUBE_ROOT
}
/hack/lib/init.sh"
...
@@ -33,8 +33,8 @@ make -C "${KUBE_ROOT}" WHAT=cmd/kube-apiserver
...
@@ -33,8 +33,8 @@ make -C "${KUBE_ROOT}" WHAT=cmd/kube-apiserver
function
cleanup
()
function
cleanup
()
{
{
if
[[
-n
${
APISERVER_PID
-
}
]]
;
then
if
[[
-n
${
APISERVER_PID
-
}
]]
;
then
kill
${
APISERVER_PID
}
1>&2 2>/dev/null
kill
"
${
APISERVER_PID
}
"
1>&2 2>/dev/null
wait
${
APISERVER_PID
}
||
true
wait
"
${
APISERVER_PID
}
"
||
true
fi
fi
unset
APISERVER_PID
unset
APISERVER_PID
...
@@ -56,7 +56,7 @@ API_LOGFILE=${API_LOGFILE:-/tmp/openapi-api-server.log}
...
@@ -56,7 +56,7 @@ API_LOGFILE=${API_LOGFILE:-/tmp/openapi-api-server.log}
kube::etcd::start
kube::etcd::start
echo
"dummy_token,admin,admin"
>
${
TMP_DIR
}
/tokenauth.csv
echo
"dummy_token,admin,admin"
>
"
${
TMP_DIR
}
/tokenauth.csv"
# Start kube-apiserver
# Start kube-apiserver
kube::log::status
"Starting kube-apiserver"
kube::log::status
"Starting kube-apiserver"
...
@@ -82,7 +82,7 @@ if ! kube::util::wait_for_url "${API_HOST}:${API_PORT}/healthz" "apiserver: "; t
...
@@ -82,7 +82,7 @@ if ! kube::util::wait_for_url "${API_HOST}:${API_PORT}/healthz" "apiserver: "; t
exit
1
exit
1
fi
fi
kube::log::status
"Updating "
${
OPENAPI_ROOT_DIR
}
kube::log::status
"Updating "
"
${
OPENAPI_ROOT_DIR
}
"
curl
-w
"
\n
"
-fs
"
${
API_HOST
}
:
${
API_PORT
}
/openapi/v2"
| jq
-S
.
>
"
${
OPENAPI_ROOT_DIR
}
/swagger.json"
curl
-w
"
\n
"
-fs
"
${
API_HOST
}
:
${
API_PORT
}
/openapi/v2"
| jq
-S
.
>
"
${
OPENAPI_ROOT_DIR
}
/swagger.json"
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment